curl https://api.onepay.la/v1/webhooks \
-H "Authorization: Bearer sk_test_xxx"
const response = await fetch('https://api.onepay.la/v1/webhooks', {
headers: {
'Authorization': 'Bearer sk_test_xxx'
}
});
const webhooks = await response.json();
import requests
response = requests.get(
'https://api.onepay.la/v1/webhooks',
headers={'Authorization': 'Bearer sk_test_xxx'}
)
webhooks = response.json()
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onepay.la/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer sk_test_xxx"
]
]);
$response = curl_exec($curl);
$webhooks = json_decode($response, true);
?>
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Webhook de producción",
"description": "Notificaciones de pagos aprobados",
"url": "https://mi-servidor.com/webhooks/onepay",
"events": [
"payment.approved",
"payment.rejected",
"charge.paid",
"charge.failed"
],
"header": null,
"is_test": false,
"created_at": "2025-01-20T14:30:00+00:00",
"updated_at": "2025-01-20T14:30:00+00:00"
}
]
}
Retorna todos los webhooks registrados en tu cuenta, ordenados por fecha de creación descendente.
GET
/
webhooks
curl https://api.onepay.la/v1/webhooks \
-H "Authorization: Bearer sk_test_xxx"
const response = await fetch('https://api.onepay.la/v1/webhooks', {
headers: {
'Authorization': 'Bearer sk_test_xxx'
}
});
const webhooks = await response.json();
import requests
response = requests.get(
'https://api.onepay.la/v1/webhooks',
headers={'Authorization': 'Bearer sk_test_xxx'}
)
webhooks = response.json()
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onepay.la/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer sk_test_xxx"
]
]);
$response = curl_exec($curl);
$webhooks = json_decode($response, true);
?>
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Webhook de producción",
"description": "Notificaciones de pagos aprobados",
"url": "https://mi-servidor.com/webhooks/onepay",
"events": [
"payment.approved",
"payment.rejected",
"charge.paid",
"charge.failed"
],
"header": null,
"is_test": false,
"created_at": "2025-01-20T14:30:00+00:00",
"updated_at": "2025-01-20T14:30:00+00:00"
}
]
}
curl https://api.onepay.la/v1/webhooks \
-H "Authorization: Bearer sk_test_xxx"
const response = await fetch('https://api.onepay.la/v1/webhooks', {
headers: {
'Authorization': 'Bearer sk_test_xxx'
}
});
const webhooks = await response.json();
import requests
response = requests.get(
'https://api.onepay.la/v1/webhooks',
headers={'Authorization': 'Bearer sk_test_xxx'}
)
webhooks = response.json()
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onepay.la/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer sk_test_xxx"
]
]);
$response = curl_exec($curl);
$webhooks = json_decode($response, true);
?>
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Webhook de producción",
"description": "Notificaciones de pagos aprobados",
"url": "https://mi-servidor.com/webhooks/onepay",
"events": [
"payment.approved",
"payment.rejected",
"charge.paid",
"charge.failed"
],
"header": null,
"is_test": false,
"created_at": "2025-01-20T14:30:00+00:00",
"updated_at": "2025-01-20T14:30:00+00:00"
}
]
}
Was this page helpful?
⌘I